
<%@ Import Namespace="System.Web" %>
<%@ Import Namespace="Persits.PDF" %>

<script runat="server" LANGUAGE="C#">

void Page_Load(Object Source, EventArgs E)
{
	if( !IsPostBack )
	{
		lstKeyLength.SelectedIndex = 1;
		Print0.Checked = true;
		txtBigText.InnerText = "Hello World!";
	}
	else
	{
		if( lstKeyLength.SelectedIndex == 1 ) // 128 bit
		{
			chkForm.Enabled = true;
			chkExtract.Enabled = true;
			chkAssemble.Enabled = true;			
			Print1.Enabled = true;
		}
		else // 40 bit
		{
			chkForm.Enabled = false;
			chkExtract.Enabled = false;
			chkAssemble.Enabled = false;
			Print1.Enabled = false;
			if( Print1.Checked )
				Print2.Checked = true;
		}
	}

	lblResult.Text = "";

	// to keep sessionID (used for file name generation) from changing every time
	Session["dummy"] = 1; 
}



public void GeneratePDF(object sender, System.EventArgs args)
{
	// create instance of the PDF manager
	PdfManager objPDF = new PdfManager();

	// Create new document
	PdfDocument objDoc = objPDF.CreateDocument();

	// Add a page to document
	PdfPage objPage = objDoc.Pages.Add();
    
	PdfFont objFont = objDoc.Fonts["Helvetica"]; // a standard font

	String strText = txtBigText.InnerText;
	
	// Parameters: X, Y of upper-left corner of text string
	PdfParam objParam = objPDF.CreateParam("x=100;y=742");

	// Draw tex
	objPage.Canvas.DrawText( strText, objParam, objDoc.Fonts["Helvetica"] );

	
	pdfPermissions nFlags = (pdfPermissions)0; // Permission flags: nothing allowed by default
	if( lstKeyLength.SelectedIndex == 0 ) // 40-bit encryption
	{
		if( Print2.Checked ) 
			nFlags |= pdfPermissions.pdfPrint;
	}
	else // 128-bit encryption
	{
		if( Print2.Checked )
			nFlags |= ( pdfPermissions.pdfPrint | pdfPermissions.pdfPrintHigh );
		
		if( Print1.Checked )
			nFlags |= pdfPermissions.pdfPrint;
	}
		
	if( chkChange.Checked )
		nFlags |= pdfPermissions.pdfModify;

	if( chkCopy.Checked )
		nFlags |= pdfPermissions.pdfCopy;

	if( chkAuthor.Checked )
		nFlags |= pdfPermissions.pdfAnnotations;

	if( chkForm.Checked )
		nFlags |= pdfPermissions.pdfForm;

	if( chkExtract.Checked )
		nFlags |= pdfPermissions.pdfExtract;

	if( chkAssemble.Checked )
		nFlags |= pdfPermissions.pdfAssemble;

	// Key length
	int nKeyLength = int.Parse(lstKeyLength.Items[lstKeyLength.SelectedIndex].Value);
	
	// Encrypt document
	objDoc.Encrypt( txtOPWD.Text, txtUPWD.Text, nKeyLength, nFlags );
	

	// We use Session ID for file names.
	// false means "do not overwrite"
	// The method returns generated file name.
	String strPath = Server.MapPath( "files") + "\\" + Session.SessionID + ".pdf";
	String strFileName = objDoc.Save( strPath, false );

	lblResult.Text = "Success. Your PDF file <font color=gray>" + strFileName + "</font> can be downloaded <A TARGET=_new HREF=\"files/" + strFileName + "\"><B>here</B></A>.";
}


</script>


<HTML>
<HEAD>
<TITLE>AspPDF.NET Encryption Demo</TITLE>
</HEAD>
<BODY>

<TABLE WIDTH="600"><TR><TD>
<FONT FACE="Arial" SIZE=2">
<H3>AspPDF Encryption Demo</H3>
AspPDF supports both 40-bit and 128-bit encryption of PDF documents it creates and
reads.
<P>
This demo enables you to create
encrypted PDF documents with various
sets of permission flags. You may optionally specify a user password, owner
password, or both.

<P>
<FORM METHOD="POST" runat="Server">

<TABLE STYLE="font-name:Arial; font-size: 12" BORDER="0" CELLSPACING="0" CELLPADDING="2">
<TR><TD COLSPAN="2" ALIGN="CENTER">

<TEXTAREA ID="txtBigText" COLS="40" ROWS="3" runat="server"/>
</TD>
</TR>
<TR>
<TD ALIGN="RIGHT">RC4 Key Length:</TD>
	<TD>
	<ASP:DropDownList ID="lstKeyLength" runat="server" AutoPostBack="true">
	<ASP:ListItem VALUE="40">40-bit</ASP:ListItem>
	<ASP:ListItem VALUE="128">128-bit</ASP:ListItem>
	</ASP:DropDownList>
	</TD>
</TR>
<TR>
	<TD ALIGN="RIGHT">User Password:</TD>
	<TD><ASP:TextBox TextMode="Password" ID="txtUPWD" runat="server"/></TD>
</TR>
<TR>
	<TD ALIGN="RIGHT">Owner Password:</TD>
	<TD><ASP:TextBox TextMode="Password" ID="txtOPWD" runat="server"/></TD>
</TR>
<TR><TD ALIGN="RIGHT"><B>Permissions</B></TD><TD>&nbsp;</TD></TR>
<TR>
	<TD ALIGN="RIGHT">Printing:</TD>
	<TD>
		<ASP:RadioButton ID="Print0" GroupName="radPrint" runat="server" Value="0"/>None
		<ASP:RadioButton ID="Print1" GroupName="radPrint" runat="server" Value="1"/>Lo-Res
		<ASP:RadioButton ID="Print2" GroupName="radPrint" runat="server" Value="2"/>Full
	</TD>
</TR>

<TR>
	<TD ALIGN="RIGHT">Changing the document:</TD>
	<TD><ASP:CheckBox ID="chkChange" runat="server"/></TD>
</TR>
<TR>
	<TD ALIGN="RIGHT">Content Copying or Extraction:</TD>
	<TD><ASP:CheckBox ID="chkCopy" runat="server"/></TD>
</TR>
<TR>
	<TD ALIGN="RIGHT">Authoring Comments and Form Fields:</TD>
	<TD><ASP:CheckBox ID="chkAuthor" runat="server"/></TD>
</TR>
<TR>
	<TD ALIGN="RIGHT">Form Field Fill-in or Signing:</TD>
	<TD><ASP:CheckBox ID="chkForm" runat="server"/></TD>
</TR>
<TR>
	<TD ALIGN="RIGHT">Content Accessibility:</TD>
	<TD><ASP:CheckBox ID="chkExtract" runat="server"/></TD>
</TR>
<TR>
	<TD ALIGN="RIGHT">Document Assembly:</TD>
	<TD><ASP:CheckBox ID="chkAssemble" runat="server"/></TD>
</TR>
<TR><TD COLSPAN="2"><ASP:Button NAME="Save" OnClick="GeneratePDF" Text="Generate PDF" runat="server"/></TD></TR>
</TABLE>
<P>
<B><ASP:Label ID="lblResult" runat="Server"/></B>

</FORM>

<P>
<B><A HREF="demo_encrypt.zip">Download source code (C# and VB.NET) for this demo</A></B>

</FONT>
</TD></TR></TABLE>

</BODY>
</HTML>