
<%@ Import Namespace="System.Web" %>
<%@ Import Namespace="Persits.PDF" %>

<script runat="server" LANGUAGE="VB">

Sub Page_Load(Source As Object, E As EventArgs)

	If Not IsPostBack Then
		lstKeyLength.SelectedIndex = 1
		Print0.Checked = True
		txtBigText.InnerText = "Hello World!"
	Else
		If lstKeyLength.SelectedIndex = 1 Then ' 128 bit
			chkForm.Enabled = True
			chkExtract.Enabled = True
			chkAssemble.Enabled = True
			Print1.Enabled = True
		Else			' 40 bit
			chkForm.Enabled = False
			chkExtract.Enabled = False
			chkAssemble.Enabled = False
			Print1.Enabled = False
			If Print1.Checked Then Print2.Checked = True
		End If
	End If

	lblResult.Text = ""

	' to keep sessionID (used for file name generation) from changing every time
	Session("dummy") = 1
End Sub



Public Sub GeneratePDF(Sender As Object, args As System.EventArgs)

	' create instance of the PDF manager
	Dim objPDF As PdfManager = New PdfManager()

	' Create new document
	Dim objDoc As PdfDocument = objPDF.CreateDocument()

	' Add a page to document
	Dim objPage As PdfPage = objDoc.Pages.Add()
    
	Dim objFont As PdfFont = objDoc.Fonts("Helvetica") ' a standard font

	Dim strText As String = txtBigText.InnerText
	
	' Parameters: X, Y of upper-left corner of text string
	Dim objParam As PdfParam = objPDF.CreateParam("x=100;y=742")

	' Draw tex
	objPage.Canvas.DrawText( strText, objParam, objDoc.Fonts("Helvetica") )

	
	Dim nFlags As pdfPermissions  = CType( 0, pdfPermissions) ' Permission flags: nothing allowed by default
	If lstKeyLength.SelectedIndex = 0 Then ' 40-bit encryption
	
		If Print2.Checked Then nFlags = nFlags Or pdfPermissions.pdfPrint
	
	Else ' 128-bit encryption
	
		If Print2.Checked Then nFlags = nFlags Or ( pdfPermissions.pdfPrint Or pdfPermissions.pdfPrintHigh )
		
		if Print1.Checked Then nFlags = nFlags Or pdfPermissions.pdfPrint
	End If
		
	If chkChange.Checked Then nFlags = nFlags Or pdfPermissions.pdfModify

	If chkCopy.Checked Then	nFlags = nFlags Or pdfPermissions.pdfCopy

	If chkAuthor.Checked Then nFlags = nFlags Or pdfPermissions.pdfAnnotations

	If chkForm.Checked Then nFlags = nFlags Or pdfPermissions.pdfForm

	If chkExtract.Checked Then nFlags = nFlags Or pdfPermissions.pdfExtract

	If chkAssemble.Checked Then nFlags = nFlags Or pdfPermissions.pdfAssemble

	' Key length
	Dim nKeyLength As Integer = Integer.Parse( lstKeyLength.Items(lstKeyLength.SelectedIndex).Value )
	
	' Encrypt document
	objDoc.Encrypt( txtOPWD.Text, txtUPWD.Text, nKeyLength, nFlags )
	

	' We use Session ID for file names.
	' false means "do not overwrite"
	' The method returns generated file name.
	Dim strPath As String = Server.MapPath( "files") + "\\" + Session.SessionID + ".pdf"
	Dim strFileName As String = objDoc.Save( strPath, False )

	lblResult.Text = "Success. Your PDF file <font color=gray>" + strFileName + "</font> can be downloaded <A TARGET=_new HREF=""files/" + strFileName + """><B>here</B></A>."
End Sub


</script>


<HTML>
<HEAD>
<TITLE>AspPDF.NET Encryption Demo</TITLE>
</HEAD>
<BODY>

<TABLE WIDTH="600"><TR><TD>
<FONT FACE="Arial" SIZE=2">
<H3>AspPDF Encryption Demo</H3>
AspPDF supports both 40-bit and 128-bit encryption of PDF documents it creates and
reads.
<P>
This demo enables you to create
encrypted PDF documents with various
sets of permission flags. You may optionally specify a user password, owner
password, or both.

<P>
<FORM METHOD="POST" runat="Server">

<TABLE STYLE="font-name:Arial; font-size: 12" BORDER="0" CELLSPACING="0" CELLPADDING="2">
<TR><TD COLSPAN="2" ALIGN="CENTER">

<TEXTAREA ID="txtBigText" COLS="40" ROWS="3" runat="server"/>
</TD>
</TR>
<TR>
<TD ALIGN="RIGHT">RC4 Key Length:</TD>
	<TD>
	<ASP:DropDownList ID="lstKeyLength" runat="server" AutoPostBack="true">
	<ASP:ListItem VALUE="40">40-bit</ASP:ListItem>
	<ASP:ListItem VALUE="128">128-bit</ASP:ListItem>
	</ASP:DropDownList>
	</TD>
</TR>
<TR>
	<TD ALIGN="RIGHT">User Password:</TD>
	<TD><ASP:TextBox TextMode="Password" ID="txtUPWD" runat="server"/></TD>
</TR>
<TR>
	<TD ALIGN="RIGHT">Owner Password:</TD>
	<TD><ASP:TextBox TextMode="Password" ID="txtOPWD" runat="server"/></TD>
</TR>
<TR><TD ALIGN="RIGHT"><B>Permissions</B></TD><TD>&nbsp;</TD></TR>
<TR>
	<TD ALIGN="RIGHT">Printing:</TD>
	<TD>
		<ASP:RadioButton ID="Print0" GroupName="radPrint" runat="server" Value="0"/>None
		<ASP:RadioButton ID="Print1" GroupName="radPrint" runat="server" Value="1"/>Lo-Res
		<ASP:RadioButton ID="Print2" GroupName="radPrint" runat="server" Value="2"/>Full
	</TD>
</TR>

<TR>
	<TD ALIGN="RIGHT">Changing the document:</TD>
	<TD><ASP:CheckBox ID="chkChange" runat="server"/></TD>
</TR>
<TR>
	<TD ALIGN="RIGHT">Content Copying or Extraction:</TD>
	<TD><ASP:CheckBox ID="chkCopy" runat="server"/></TD>
</TR>
<TR>
	<TD ALIGN="RIGHT">Authoring Comments and Form Fields:</TD>
	<TD><ASP:CheckBox ID="chkAuthor" runat="server"/></TD>
</TR>
<TR>
	<TD ALIGN="RIGHT">Form Field Fill-in or Signing:</TD>
	<TD><ASP:CheckBox ID="chkForm" runat="server"/></TD>
</TR>
<TR>
	<TD ALIGN="RIGHT">Content Accessibility:</TD>
	<TD><ASP:CheckBox ID="chkExtract" runat="server"/></TD>
</TR>
<TR>
	<TD ALIGN="RIGHT">Document Assembly:</TD>
	<TD><ASP:CheckBox ID="chkAssemble" runat="server"/></TD>
</TR>
<TR><TD COLSPAN="2"><ASP:Button NAME="Save" OnClick="GeneratePDF" Text="Generate PDF" runat="server"/></TD></TR>
</TABLE>
<P>
<B><ASP:Label ID="lblResult" runat="Server"/></B>

</FORM>

<P>
<B><A HREF="demo_encrypt.zip">Download source code (C# and VB.NET) for this demo</A></B>

</FONT>
</TD></TR></TABLE>

</BODY>
</HTML>